#pragma once
#include "keymap.h"

enum tap_dance_codes {
	TD_WMLAYOUT,
	TD_SCREENSHOT,
	TD_OCR
};

enum {
	SINGLE_TAP = 1,
	SINGLE_HOLD,
	DOUBLE_TAP,
	DOUBLE_HOLD,
	DOUBLE_SINGLE_TAP,
	MORE_TAPS
};

typedef struct {
	bool is_press_action;
	uint8_t step;
} tap;

extern tap dance_state[2];

uint8_t dance_step(qk_tap_dance_state_t *state);

void td_wmlayout_dance(qk_tap_dance_state_t *state, void *user_data);
void td_wmlayout_finished(qk_tap_dance_state_t *state, void *user_data);
void td_wmlayout_reset(qk_tap_dance_state_t *state, void *user_data);

void td_screenshot_dance(qk_tap_dance_state_t *state, void *user_data);
void td_screenshot_finished(qk_tap_dance_state_t *state, void *user_data);
void td_screenshot_reset(qk_tap_dance_state_t *state, void *user_data);
void td_ocr_dance(qk_tap_dance_state_t *state, void *user_data);
void td_ocr_finished(qk_tap_dance_state_t *state, void *user_data);
void td_ocr_reset(qk_tap_dance_state_t *state, void *user_data);
